classification
Title: Devguide: add 2to3 to the "Changing CPython's Grammar" checklist
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Aegil, ezio.melotti, python-dev, willingc
Priority: normal Keywords: easy, patch

Created on 2015-12-28 22:09 by ezio.melotti, last changed 2016-01-11 22:15 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue25967.patch Aegil, 2016-01-10 12:47
Messages (4)
msg257134 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-12-28 22:09
If Python grammar is changed, lib2to3 should be updated accordingly.
This is currently missing from https://docs.python.org/devguide/grammar.html#checklist

See also #19511.
msg257908 - (view) Author: Chris Thomas (Aegil) * Date: 2016-01-10 12:47
Added a note to the check list as needed.
msg258034 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-11 22:15
New changeset 367486fbab84 by Ezio Melotti in branch 'default':
#25967: add note about updating lib2to3 when the grammar is updated.  Patch by Chris Thomas.
https://hg.python.org/devguide/rev/367486fbab84
msg258036 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-11 22:15
Fixed, thanks for the patch!
History
Date User Action Args
2016-01-11 22:15:47ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg258036

stage: needs patch -> resolved
2016-01-11 22:15:28python-devsetnosy: + python-dev
messages: + msg258034
2016-01-10 12:47:53Aegilsetfiles: + issue25967.patch

nosy: + Aegil
messages: + msg257908

keywords: + patch
2015-12-28 22:09:14ezio.melotticreate